Subject: Re: ETags, was: Issues from Interop/Interim WG Meeting

From: Jason Crawford <[email-masked]>
Date: Sun, 22 Sep 2002 23:22:45 -0400

I just noticed that I hadn't weighed in on this subject.

I think over the months we've shown plenty of things that etags help with.
They are a good thing and their value is self evident.  But I don't think
this is a reason to REQUIRE them in the spec.  It will sometimes be
difficult to implement them and plenty can get done without them.  I think
they fall in the same category as locks.  They are a great thing and a
server that supports them is almost always a superior server, and clients
are free to refuse to work on servers that lack the capability, but we
should not REQUIRE support for them.

That's not to say that we can't make it very clear that they do provide
value and should be implemented if possible.  I think it's even fine to
have a section that outlines situations where etags are invaluable.

J.

------------------------------------------
Phone: 914-784-7569